Package net.md_5.bungee.api.dialog.input

# Class BooleanInput

java.lang.Object
net.md_5.bungee.api.dialog.input.DialogInput
net.md_5.bungee.api.dialog.input.BooleanInput

public class BooleanInput extends DialogInput
Represents a checkbox input control.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanInput(@NonNull String key, @NonNull BaseComponent label)`
  `BooleanInput(@NonNull String key, @NonNull BaseComponent label, Boolean initial, String onTrue, String onFalse)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `Boolean`
  `initial()`
  The initial value (default: false/unchecked).
  `BooleanInput`
  `initial(Boolean initial)`
  The initial value (default: false/unchecked).
  `@NonNull BaseComponent`
  `label()`
  The input label.
  `BooleanInput`
  `label(@NonNull BaseComponent label)`
  The input label.
  `String`
  `onFalse()`
  The string value to be submitted when false/unchecked (default: "false").
  `BooleanInput`
  `onFalse(String onFalse)`
  The string value to be submitted when false/unchecked (default: "false").
  `String`
  `onTrue()`
  The string value to be submitted when true/checked (default: "true").
  `BooleanInput`
  `onTrue(String onTrue)`
  The string value to be submitted when true/checked (default: "true").
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.dialog.input.DialogInput

  `key, type`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BooleanInput

    public BooleanInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label)

  - ### BooleanInput

    public BooleanInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label, Boolean initial, String onTrue, String onFalse)

- ## Method Details

  - ### label

    @NonNull public @NonNull BaseComponent label()
    The input label.

  - ### initial

    public Boolean initial()
    The initial value (default: false/unchecked).

  - ### onTrue

    public String onTrue()
    The string value to be submitted when true/checked (default: "true").

  - ### onFalse

    public String onFalse()
    The string value to be submitted when false/unchecked (default: "false").

  - ### label

    public BooleanInput label(@NonNull @NonNull BaseComponent label)
    The input label.
    Returns:
      `this`.

  - ### initial

    public BooleanInput initial(Boolean initial)
    The initial value (default: false/unchecked).
    Returns:
      `this`.

  - ### onTrue

    public BooleanInput onTrue(String onTrue)
    The string value to be submitted when true/checked (default: "true").
    Returns:
      `this`.

  - ### onFalse

    public BooleanInput onFalse(String onFalse)
    The string value to be submitted when false/unchecked (default: "false").
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DialogInput`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `DialogInput`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `DialogInput`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DialogInput`